<div class="addContainer">
    <div class="modalHeader">
      <div class="editRowModal">
        <div class="modalHeader clearfix">
          <div class="modal-about">
            <div class="font-weight-bold p-t-5 p-l-10 font-17">
              {{textodedialogo}}</div>
          </div>
        </div>
      </div>
      <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
        <mat-icon>close</mat-icon>
      </button>
    </div>
    <div mat-dialog-content>
      <form class="register-form m-4" [formGroup]="formulariodiagnostico" (ngSubmit)="submit">
        <div class="row">
          <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-2">
            <mat-form-field class="example-full-width" appearance="outline">
              <mat-label>Fecha</mat-label>
              <input matInput [matDatepicker]="picker" formControlName="fecha" required disabled>
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker></mat-datepicker>
              <mat-error *ngIf="formulariodiagnostico.get('fecha').hasError('required')">
                Porfavor elija una fecha
              </mat-error>
            </mat-form-field>
          </div>
          <div class="col-xl-8 col-lg-8 col-md-12 col-sm-12 mb-2">
          </div>
        </div>
        <div class="row">
          <div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-2">
            <mat-form-field class="example-full-width " appearance="outline">
                <mat-label>Diagnostico</mat-label>
                <mat-select formControlName="idDia" required>
                  <ng-container *ngFor="let clasf of clasificaciones">
                    <mat-option  [value]="clasf.idDiagnostico">
                      {{clasf.nombre}}
                    </mat-option>
                  </ng-container>
                </mat-select>
                <mat-error *ngIf="formulariodiagnostico.get('idDia').hasError('required')">
                  El diagnostico es requerido
                </mat-error>
              </mat-form-field>
          </div>
          <div class="col-xl-8 col-lg-8 col-md-12 col-sm-12 mb-2">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Observaciones</mat-label>
                <textarea formControlName="obser" matInput></textarea>
              </mat-form-field>
          </div>
        </div>
        <div class="row">
          <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
            <mat-form-field class="example-full-width mb-3">
                <mat-label>Descripción</mat-label>
                <textarea formControlName="descri" required matInput></textarea>
                <mat-error *ngIf="formulariodiagnostico.get('descri').hasError('required')">
                    La descripción es requerida
                  </mat-error>
              </mat-form-field>
          </div>
        </div>
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                <mat-checkbox (change)="OnChange($event)" class="example-margin my-auto">Complicaciones</mat-checkbox>
            </div>
          </div>
          <div class="row" *ngIf="check === true">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
              <mat-form-field class="example-full-width mb-3">
                  <mat-label>Descripción de la complicación</mat-label>
                  <textarea formControlName="compli" matInput></textarea>
                </mat-form-field>
            </div>
          </div>
        <div class="row">
          <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
            <div class="example-button-row">
              <button mat-raised-button color="primary" [type]="submit" [disabled]="!formulariodiagnostico.valid"
              [mat-dialog-close]="1" (click)="confirmAdd()">Guardar</button>
              <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancelar</button>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
  